Bug 5075 - Terms not highlighted w/ xslt on
Summary: Terms not highlighted w/ xslt on
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P1 - high normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-30 13:17 UTC by Nicole C. Engard
Modified: 2010-12-16 14:49 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
XSLT & no highlights (165.32 KB, image/png)
2010-07-30 13:17 UTC, Nicole C. Engard
Details
same search, no xslt, highlights work (157.22 KB, image/png)
2010-07-30 13:18 UTC, Nicole C. Engard
Details
Proposed fix (2.53 KB, patch)
2010-08-02 15:31 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2010-07-30 13:17:40 UTC
Created attachment 2437 [details]
XSLT & no highlights

If you have OPACXSLTResultsDisplay and OpacHighlightedWords turned on the terms on your results are not highlighted.  If you turn OPACXSLTResultsDisplay off the terms are highlighed normally.

See attached.
Comment 1 Nicole C. Engard 2010-07-30 13:18:03 UTC
Created attachment 2438 [details]
same search, no xslt, highlights work
Comment 2 Owen Leonard 2010-08-02 15:31:02 UTC
Created attachment 2440 [details] [review]
Proposed fix

- XSLT didn't contain the class markup which acts as a hook for the JavaScript highlighting system.
- Standard results page also contained a typo which prevented data other than title and author from being highlighted
Comment 3 Galen Charlton 2010-10-26 13:28:28 UTC
(In reply to comment #2)
> Created attachment 2440 [details] [review]
> Proposed fix
> 
> - XSLT didn't contain the class markup which acts as a hook for the JavaScript
> highlighting system.
> - Standard results page also contained a typo which prevented data other than
> title and author from being highlighted


This patch has a broader effect than is desirable.  For example, try a
search on 'a'.  Besides the letter 'a' being highlighted in strings
coming from the bib records, it is also highlighted elsewhere - i.e.,
the a's in "Action: Add to Cart", etc.

Still, this is getting close.  I have pushed this to a topic branch
called new/bug5075 in the public repo for further work.
Comment 4 Galen Charlton 2010-10-30 12:17:47 UTC
(In reply to comment #3)
> Still, this is getting close.  I have pushed this to a topic branch
> called new/bug5075 in the public repo for further work.

Since new/bug5075 is now in master (merge was premature, IMO), the overzealousness of the search highlighting is now a bit more urgent.
Comment 5 Owen Leonard 2010-11-01 14:56:05 UTC
> This patch has a broader effect than is desirable.  For example, try a
> search on 'a'.  Besides the letter 'a' being highlighted in strings
> coming from the bib records, it is also highlighted elsewhere - i.e.,
> the a's in "Action: Add to Cart", etc.

A valid concern, but for the purposes of tracking this particular bug it should be noted that the same is true of the non-XSLT view.
Comment 6 MJ Ray (software.coop) 2010-11-11 13:42:40 UTC
This bug is mentioned in:
Fix for Bug 5075 - Terms not highlighted w/ xslt on http://lists.koha-community.org/pipermail/koha-patches/2010-October/012716.html
Comment 7 Chris Nighswonger 2010-11-18 03:15:35 UTC
This bug has a patch presently committed to HEAD and 3.2.x.

Please take the appropriate action to update the status of this bug.

Remember, bugs which have been resolved should be tested and marked closed, preferably by the original reporter.
Comment 8 Chris Nighswonger 2010-11-30 13:49:39 UTC
This bug has a fix which was committed to the 3.2.x branch and released in 3.2.1.

Please take time to update the status of this bug and mark it RESOLVED FIXED so that it may be closed.